---
title: Create a Web Analytics site
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[RUM](https://developers.cloudflare.com/api/typescript/resources/rum)

[Site Info](https://developers.cloudflare.com/api/typescript/resources/rum/subresources/site_info)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create a Web Analytics site

client.rum.siteInfo.create(SiteInfoCreateParams {account\_id, auto\_install, host, zone\_tag } params, RequestOptionsoptions?): [Site](<https://developers.cloudflare.com/api/typescript/resources/rum#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)>) {auto\_install, created, rules, 4 more }

POST/accounts/{account\_id}/rum/site\_info

Creates a new Web Analytics site.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Account Settings Write`

##### ParametersExpand Collapse

<details>

<summary>

params: SiteInfoCreateParams {account\_id, auto\_install, host, zone\_tag }

</summary>

account\_id: string

Path param: Identifier.

maxLength32

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

auto\_install?: boolean

Body param: If enabled, the JavaScript snippet is automatically injected for orange-clouded sites.

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20auto_install">Link to this property</a>

host?: string

Body param: The hostname to use for gray-clouded sites.

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20host">Link to this property</a>

zone\_tag?: string

Body param: The zone identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_tag">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

Site {auto\_install, created, rules, 4 more }

</summary>

auto\_install?: boolean

If enabled, the JavaScript snippet is automatically injected for orange-clouded sites.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20auto_install">Link to this property</a>

created?: string

formatdate-time

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

<details>

<summary>

rules?: Array&lt;<a href="https://developers.cloudflare.com/api/typescript/resources/rum#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)">RUMRule</a> {id, created, host, 4 more } &gt;

A list of rules.

</summary>

id?: string

The Web Analytics rule identifier.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created?: string

formatdate-time

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

host?: string

The hostname the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

inclusive?: boolean

Whether the rule includes or excludes traffic from being measured.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20inclusive">Link to this property</a>

is\_paused?: boolean

Whether the rule is paused or not.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20is_paused">Link to this property</a>

paths?: Array&lt;string&gt;

The paths the rule will be applied to.

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20paths">Link to this property</a>

priority?: number

<a href="#(resource)%20rum.rules%20%3E%20(model)%20rum_rule%20%3E%20(schema)%20%3E%20(property)%20priority">Link to this property</a>

</details>

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20rules">Link to this property</a>

<details>

<summary>

ruleset?: Ruleset {id, enabled, zone\_name, zone\_tag }

</summary>

id?: string

The Web Analytics ruleset identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20id">Link to this property</a>

enabled?: boolean

Whether the ruleset is enabled.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20enabled">Link to this property</a>

zone\_name?: string

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20zone_name">Link to this property</a>

zone\_tag?: string

The zone identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset%20%3E%20(property)%20zone_tag">Link to this property</a>

</details>

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ruleset">Link to this property</a>

site\_tag?: string

The Web Analytics site identifier.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20site_tag">Link to this property</a>

site\_token?: string

The Web Analytics site token.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20site_token">Link to this property</a>

snippet?: string

Encoded JavaScript snippet.

<a href="#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20snippet">Link to this property</a>

</details>

[Link to this property](<#(resource)%20rum.site_info%20%3E%20(model)%20site%20%3E%20(schema)>)

### Create a Web Analytics site

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const site = await client.rum.siteInfo.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(site.auto_install);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "auto_install": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    },
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
    "snippet": "<!-- Cloudflare Web Analytics --><script type='module' src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "auto_install": true,
    "created": "2014-01-01T05:20:00.12345Z",
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    },
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
    "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
    "snippet": "<!-- Cloudflare Web Analytics --><script type='module' src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
  }
}
```